package users

import (
	"fmt"
	"sirlab.de/go/knyt/user"
)

type Users map[string]*user.User

func NewUsers() Users {
	return make(Users)
}

func (users Users) AddUser(usr *user.User) {
	users[usr.Id] = usr
}

func (users Users) GetUserById(id string) (*user.User, error) {
	usr := users[id]
	if usr == nil {
		return nil, fmt.Errorf("unknown id")
	}
	return usr, nil
}
